API explorerInteractions
Long-poll a prompt created by this token until it is answered
GET /api/agent/interactions/{id}/wait. Required scopes: interactions:read.
Loading API reference…
Required scopes: interactions:read
bearer interactions:readAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: interactions:read
id*stringtimeout?number0 <= value <= 25Success
application/jsoninteraction*timedOut*booleancurl -X GET 'https://example.com/api/agent/interactions/string/wait'{ "interaction": { "id": "string", "title": "string", "prompt": "string", "kind": "approval", "presentation": "notification", "status": "pending", "choices": [ "string" ], "response": "string", "imageUrl": "string", "url": "string", "actionDigest": "string", "primaryLabel": "string", "secondaryLabel": "string", "accepted": 0, "respondingDeviceId": "string", "respondingUserId": "string", "expiresAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "respondedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z" }, "timedOut": true}